Skip to main content
POST
Subscribe to a database's weekly report

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

Response

Returns the subscription

type
enum<string>
required

The resource type

Available options:
Subscription
id
string
required

The ID of the subscription

state
enum<string>
required

Whether the user receives the weekly report

Available options:
subscribed,
unsubscribed
frequency
enum<string>
required

How often the report is sent

Available options:
daily,
weekly,
monthly
delivered_at
string | null
required

When the last report was sent

created_at
string
required

When the subscription was created

updated_at
string
required

When the subscription was last updated

database
object
required